please-sync Azureus 2.5.0.4-1 from Debian unstable (main)

Bug #125754 reported by Alejandro López-Valencia on 2007-07-13
12
Affects Status Importance Assigned to Milestone
azureus (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: azureus

Lots of bug fxes, less memory consumption... Won't make a fuzz, but the present version in Universe is a dud. :-)

Chris Halse Rogers (raof) wrote :

Thank you for your bug. However, your request does not have all the required information to be processed - most importantly, a list of the Ubuntu changes and why they can be dropped.

If you want to do the necessary work, please see https://wiki.ubuntu.com/SyncRequestProcess and possibly https://wiki.ubuntu.com/MOTU/Merging . If you don't wish to do this work, then please say so. Then someone else won't assume you're doing the work.

Changed in azureus:
assignee: nobody → raof
status: New → Incomplete
Download full text (4.6 KiB)

From the upstream log at <http://azureus.sourceforge.net/changelog.php>, without the specifig debian changes. Thanks for the offer but at the moment I don't have the time to get involved with MOTU.

 2.5.0.4 - January 22, 2007

New Features:

    * Core | New users default save directory is now located in their "My Documents" directory, under "Azureus Downloads"
    * Core | Show alerts raised during closedown on next start as these often don't get displayed due to UI shutdown
    * Core | Allow plugin installs to place jars into the plugin-shared "shared/lib" directory
    * Plug | Unsafe config read/writing
    * Plug | Plugins can now open and close download bars

Changes:

    * Core | Added scrape delay for stopped/errored torrents, and torrents with high share ratios
    * Core | Allow only one active scrape for each tracker
    * Core | Release piece-map when not required
    * Core | ASN lookup via DNS queries only
    * Core | Full recheck of torrent when part of torrent fails hash check on completion
    * Core | Take note of banned IPs when we have IP filter turned off - these are independent
    * Core | Disable download peer caching for private torrents
    * Core | Disconnect currently connected peers on tracker URL change for private torrents
    * Core | Remove unused download/upload specific stats from version-check message
    * Core | Include IP override in NAT check message for NAT check server to use
    * Plug | Timeout UPnP port releases during closedown to prevent Azureus hanging

Corrected bugs:

    * Core | Fix choke/unchoke cycle bug for lan local peers
    * Core | Fix auto moving torrent data with DND files
    * Core | Fix NPE causing XML stats not to be written
    * UI | Fix crash when opening non-torrent URL when OS has no recognized HTML viewer
    * UI | Fix big icon in name column for OSes using GTK
    * UI | Make Download Basket work again for drag and dropping

top
2.5.0.2 - January 11, 2007

New Features:

    * Core | Added method to XFS specific allocation of new files
    * Core | Added per-torrent max seeds parameter
    * Core | Added per-torrent max peers parameter
    * UI | Total file size added to Open Torrent Window
    * UI | Option to show complete downloads with incomplete "do not download" files in the download area
    * UI | Added custom user comment field
    * UI | Added file extension column in files view
    * UI | Spinners for config field that take numbers
    * UI | Setting for Minimum # of Simultaneous Active Downloads to have running at any given time
    * UI | Console UI NAT test
    * UI | Option to have separate rename and retarget menu items in Files view
    * Plug | Plugins can now create submenus.
    * Plug | Added code to allow plugins to get text input from a user in non-UI specific way.
    * Plug | Plugins now have better support to organise file data within default save directories.
    * Plug | Plugins can now easily add hyperlinks to config sections.

Changes:

    * Core | Improve the "presence" handling for torrents created by ourselves
    * Core | Less memory footprint
    * Core | Faster startup for large torrent lists (and no naughty plugins)
    * Core | ...

Read more...

Chris Halse Rogers (raof) wrote :

Ok, I'll look at this merge. Preliminary Debian changelog:
azureus (2.5.0.4-1) unstable; urgency=low

  * New upstream release. Closes: #406914.
  * Disable auto-update. Closes: #405997.

 -- Shaun Jackman <email address hidden> Thu, 5 Jul 2007 11:32:18 -0600

azureus (2.5.0.0+0-1) unstable; urgency=medium

  * Bump the upstream version number due to a bug in dak (#232730).
  * Launch ui.common instead of ui.swt. Allows using the
    --ui=console option. Closes: #367110.
  * Add -Xmx1024M to the java command line, which increases the size
    of the heap. Closes: #386765.

 -- Shaun Jackman <email address hidden> Wed, 22 Nov 2006 13:17:40 -0700

Changed in azureus:
status: Incomplete → In Progress
XtremeBain (xtremebain) wrote :

Marco Rodrigues also reported this in bug 128078 and submitted the merge link http://merges.ubuntu.com/a/azureus/

I have attached the 07-Jul-2007 10:15 merge report from http://merges.ubuntu.com/a/azureus/REPORT

Chris Halse Rogers (raof) wrote :

This merge depends on bug #128157, and a merge of eclipse from debian unstable.

Chris Halse Rogers (raof) wrote :

So, it turns out that our Azureus package isn't derived from the Debian package at all, so it is counterproductive to try to merge/sync. I will reject this merge/sync bug, and instead update our Azureus package to the new upstream version.

Changed in azureus:
assignee: raof → nobody
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers